HELM(1)

NAME

helm-init - initialize Helm on both client and server

SYNOPSIS

helm init

DESCRIPTION

This command installs Tiller (the helm server side component) onto your Kubernetes Cluster and sets up local configuration in $HELM_HOME (default /.helm/)

As with the rest of the Helm commands, 'helm init' discovers Kubernetes clusters by reading $KUBECONFIG (default ' /.kube/config') and using the default context.

To set up just a local environment, use '--client-only'. That will configure $HELM_HOME, but not attempt to connect to a remote cluster and install the Tiller deployment.

When installing Tiller, 'helm init' will attempt to install the latest released version. You can specify an alternative image with '--tiller-image'. For those frequently working on the latest code, the flag '--canary-image' will install the latest pre-release version of Tiller (e.g. the HEAD commit in the GitHub repository on the master branch).

To dump a manifest containing the Tiller deployment YAML, combine the

OPTIONS

--canary-image[=false]
    use the canary tiller image

-c, --client-only[=false]
    if set does not install tiller

--dry-run[=false]
    do not install local or remote

--local-repo-url=" ⟨http://127.0.0.1:8879/charts"⟩
    URL for local repository

--net-host[=false]
    install tiller with net=host

--service-account=""
    name of service account

--skip-refresh[=false]
    do not refresh (download) the local repository cache

--stable-repo-url=" ⟨https://kubernetes-charts.storage.googleapis.com"⟩
    URL for stable repository

-i, --tiller-image=""
    override tiller image

--tiller-tls[=false]
    install tiller with TLS enabled

--tiller-tls-cert=""
    path to TLS certificate file to install with tiller

--tiller-tls-key=""
    path to TLS key file to install with tiller

--tiller-tls-verify[=false]
    install tiller with TLS enabled and to verify remote certificates

--tls-ca-cert=""
    path to CA root certificate

--upgrade[=false]
    upgrade if tiller is already installed

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra